#ifndef LOADDLL_H
#define LOADDLL_H
#pragma once

#define Impact_SUCCESS                   1001 // ִгɹ

#define Impact_FAIL                      1002 // ִʧ

#define Impact_ERROR_INVALID_HANDLE      1101 // ˿ڻļľЧ

#define Impact_ERROR_INVALID_PARAMETER   1102 // Ч

#define Impact_ERROR_NOT_BITMAP          1103 // λͼʽļ

#define Impact_ERROR_NOT_MONO_BITMAP     1104 // λͼǵɫ

#define Impact_ERROR_BEYONG_AREA         1105 // λͼӡ
											 // ĴС

#define Impact_ERROR_INVALID_PATH        1106 // ûҵָļ
											 // ·


#define Impact_COM_DTR_DSR				0x00 // ΪDTR/DST
  
#define Impact_COM_RTS_CTS				0x01 // ΪRTS/CTS 

#define Impact_COM_XON_XOFF				0x02 // ΪXON/OFF 

#define Impact_COM_NO_HANDSHAKE			0x03 //  



#define Impact_OPEN_SERIAL_PORT			0x11 //򿪴ͨѶ˿

#define Impact_OPEN_PARALLEL_PORT		0x12 // 򿪲ͨѶ˿ 

#define Impact_OPEN_BYUSB_PORT			0x13 // USBͨѶ˿ 

#define Impact_OPEN_PRINTNAME			0x14 //򿪴ӡ

#define Impact_OPEN_NETPORT				0x15 // ̫ӡ


#define Impact_FONT_TYPE_STANDARD		0x00 // ׼ ASCII
 
#define Impact_FONT_TYPE_COMPRESSED		0x01 // ѹ ASCII 

#define Impact_FONT_TYPE_CHINESE		0x03 // ׼ 塱


#define Impact_FONT_STYLE_NORMAL         0x00 //

#define Impact_FONT_STYLE_COMPRESSED     0x01 //ѹ   

#define Impact_FONT_STYLE_BOLD           0x08 //Ӵ

#define Impact_FONT_STYLE_UNDERLINE      0x80 //»  
 
#define Impact_BITMAP_PRINT_NORMAL       0x00 // 
 
#define Impact_BITMAP_PRINT_DOUBLE_WIDTH 0x01 // 
 
 

#define Impact_CUT_MODE_FULL_NoMarker    0x00 // Ĭȫ,ұ
 
#define Impact_CUT_MODE_PARTIAL_NoMarker 0x01 // ĬϰУұ

#define Impact_CUT_MODE_FULL             0x41 //Ĭȫ

#define Impact_CUT_MODE_PARTIAL          0x42 //Ĭϰ
 

 

/***************ͨú*****************/
typedef HANDLE (__stdcall *Impact_Open)( LPCTSTR lpName, 
									  int nComBaudrate,
									  int nComDataBits, 
									  int nComStopBits, 
									  int nComParity, 
									  int nParam );

typedef int (__stdcall *Impact_Close)(HANDLE hPort ,int nPortType);

typedef int (__stdcall *Impact_Reset)(HANDLE hPort,int nPortType);

typedef int (__stdcall *Impact_SetCharSetAndCodePage)(HANDLE hPort ,int nPortTypem,int nCharSet,int nCodePage);

typedef int (__stdcall *Impact_FeedLine)(HANDLE hPort,int nPortType);

typedef int (__stdcall *Impact_SetLineSpacing)(HANDLE hPort,int nPortType,int nDistance);

typedef int (__stdcall *Impact_SetRightSpacing)(HANDLE hPort,int nPortType,int nDistance);

typedef int (__stdcall *Impact_PreDownloadBmpToRAM)(HANDLE hPort ,int nPortType,char *pszPath,int nID);

typedef int (__stdcall *Impact_PreDownloadBmpsToFlash)(HANDLE hPort,int nPortType,char *pszPaths[],int nCount,int* ErrBmpID);

typedef int (__stdcall *Impact_QueryStatus)(HANDLE hPort ,int nPortType,char *pszStatus,int nTimeouts);

typedef int (__stdcall *Impact_RTQueryStatus)(HANDLE hPort ,int nPortType,char *pszStatus);

typedef int (__stdcall *Impact_NETQueryStatus)(int nPortType,char *ipAddress,char *pszStatus);

typedef int (__stdcall *Impact_KickOutDrawer)(HANDLE hPort ,int nPortType,int nID,int nOnTimes,int nOffTimes);

typedef int (__stdcall *Impact_CutPaper)(HANDLE hPort,int nPortType,int nMode,int nDistance);

typedef bool (__stdcall *Impact_StartDoc)(HANDLE hPort,int nPortType);

typedef bool (__stdcall *Impact_EndDoc)(HANDLE hPort ,int nPortType);

typedef bool (__stdcall *Impact_EndSaveFile)(HANDLE hPort);

typedef bool (__stdcall *Impact_BeginSaveFile)(HANDLE hPort,LPCTSTR lpFileName,bool bToPrinter);


/******ֱֻ֧׼ӡģʽ(ģʽ)ĺ******/

typedef int (__stdcall *Impact_S_TextOut)( HANDLE hPort,
										 int nPortType,
										 char *pszString,			 
									    int nWidthTimes,									 
									    int nHeightTimes,									 
									    int nFontType,									 
									    int nFontStyle);

typedef int (__stdcall *Impact_S_DownloadAndPrintBmp)(HANDLE hPort ,int nPortType,char *pszPath,int nMode);

typedef int (__stdcall *Impact_S_PrintBmpInFlash)(HANDLE hPort, int nPortType,int nID,int nMode);

/********--ҪڵԺԶƺʹ*******/
typedef int (__stdcall *Impact_WriteFile)(HANDLE hPort,int nPortType,char *pszData,int nBytesToWrite);

typedef int (__stdcall *Impact_ReadFile)( HANDLE hPort,
										 int nPortType,
									   char *pszData,
									   int nBytesToRead,
									   int nTimeouts);

typedef HANDLE (__stdcall *Impact_SetHandle)(HANDLE hPort,int nPortType,HANDLE hNewHandle);

typedef int (__stdcall *Impact_GetVersionInfo)(int *pnMajor,int *pnMinor);

/****************غжض̬**************************/
bool LoadImpactdll(void);

bool UnloadImpactdll(void);

#endif
